lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [<thread-prev] [day] [month] [year] [list]
Date:   Wed, 28 Jun 2017 08:01:59 -0600
From:   Shuah Khan <shuah@...nel.org>
To:     Kees Cook <keescook@...omium.org>,
        Orson Zhai <orson.zhai@...aro.org>
Cc:     Sumit Semwal <sumit.semwal@...aro.org>,
        "open list:KERNEL SELFTEST FRAMEWORK" 
        <linux-kselftest@...r.kernel.org>,
        LKML <linux-kernel@...r.kernel.org>,
        Shuah Khan <shuah@...nel.org>
Subject: Re: [PATCH V4] tools/testing/selftests/sysctl: Add pre-check to the
 value of writes_strict

On 06/26/2017 09:24 PM, Kees Cook wrote:
> On Mon, Jun 26, 2017 at 5:52 PM, Orson Zhai <orson.zhai@...aro.org> wrote:
>> Sysctl test will fail in some items if the value of /proc/sys/kernel
>> /sysctrl_writes_strict is 0 as the default value in kernel older than v4.5.
>>
>> Make this test more robus and compatible with older kernel by checking and
>> update writes_strict value and restore it when test is done.
>>
>> Signed-off-by: Orson Zhai <orson.zhai@...aro.org>
>> Reviewed-by: Sumit Semwal <sumit.semwal@...aro.org>
>> Tested-by: Sumit Semwal <sumit.semwal@...aro.org>
> 
> Reviewed-by: Kees Cook <keescook@...omium.org>
> 
> Thanks!
> 
> -Kees
> 

Thanks. Applied to linux-kselftest next for 4.13-rc1

thanks,
-- Shuah

>> ---
>>  tools/testing/selftests/sysctl/common_tests     | 22 ++++++++++++++++++++++
>>  tools/testing/selftests/sysctl/run_numerictests |  2 +-
>>  tools/testing/selftests/sysctl/run_stringtests  |  2 +-
>>  3 files changed, 24 insertions(+), 2 deletions(-)
>>
>> diff --git a/tools/testing/selftests/sysctl/common_tests b/tools/testing/selftests/sysctl/common_tests
>> index 17d534b1b7b4..b6862322962f 100644
>> --- a/tools/testing/selftests/sysctl/common_tests
>> +++ b/tools/testing/selftests/sysctl/common_tests
>> @@ -24,6 +24,14 @@ verify()
>>         return 0
>>  }
>>
>> +exit_test()
>> +{
>> +       if [ ! -z ${old_strict} ]; then
>> +               echo ${old_strict} > ${WRITES_STRICT}
>> +       fi
>> +       exit $rc
>> +}
>> +
>>  trap 'set_orig; rm -f "${TEST_FILE}"' EXIT
>>
>>  rc=0
>> @@ -63,6 +71,20 @@ else
>>         echo "ok"
>>  fi
>>
>> +echo -n "Checking write strict setting ... "
>> +WRITES_STRICT="${SYSCTL}/kernel/sysctl_writes_strict"
>> +if [ ! -e ${WRITES_STRICT} ]; then
>> +       echo "FAIL, but skip in case of old kernel" >&2
>> +else
>> +       old_strict=$(cat ${WRITES_STRICT})
>> +       if [ "$old_strict" = "1" ]; then
>> +               echo "ok"
>> +       else
>> +               echo "FAIL, strict value is 0 but force to 1 to continue" >&2
>> +               echo "1" > ${WRITES_STRICT}
>> +       fi
>> +fi
>> +
>>  # Now that we've validated the sanity of "set_test" and "set_orig",
>>  # we can use those functions to set starting states before running
>>  # specific behavioral tests.
>> diff --git a/tools/testing/selftests/sysctl/run_numerictests b/tools/testing/selftests/sysctl/run_numerictests
>> index 8510f93f2d14..e6e76c93d948 100755
>> --- a/tools/testing/selftests/sysctl/run_numerictests
>> +++ b/tools/testing/selftests/sysctl/run_numerictests
>> @@ -7,4 +7,4 @@ TEST_STR=$(( $ORIG + 1 ))
>>
>>  . ./common_tests
>>
>> -exit $rc
>> +exit_test
>> diff --git a/tools/testing/selftests/sysctl/run_stringtests b/tools/testing/selftests/sysctl/run_stringtests
>> index 90a9293d520c..857ec667fb02 100755
>> --- a/tools/testing/selftests/sysctl/run_stringtests
>> +++ b/tools/testing/selftests/sysctl/run_stringtests
>> @@ -74,4 +74,4 @@ else
>>         echo "ok"
>>  fi
>>
>> -exit $rc
>> +exit_test
>> --
>> 2.12.2
>>
> 
> 
> 

Powered by blists - more mailing lists

Powered by Openwall GNU/*/Linux Powered by OpenVZ